Subject: Re: git commit -p with file arguments

From: Junio C Hamano <[email-masked]>
Date: Sun, 11 Sep 2016 18:57:44 -0700

Jacob Keller <[email-masked]> writes:

> Yes, I'm actually confused by "git commit <files>" *not* usinng what's
> in the index already, so I think that isn't intuitive as is.

You are excused ;-)

In ancient days, "git commit <pathspec>" was to add the contents
from working tree files that match <pathspec> to what is already in
the index and create a commit from that state.  This ran against the
intuition of many users who knew older systems (e.g. cvs) and we had
to migrate it to the current behaviour by breaking backward
compatibility.